/*** Compatibility.c ***/

#include "Compatibility.h"

#ifdef THINK_C

void Sys_Beep(int n)
{
	SysBeep(n);
}

int Mem_Error()
{
	return MemError();
}

int Display(Byte *s)
{
	printf((char *)s);
}

#else

void Sys_Beep(int n)
{
	printf("\a");
}

int Mem_Error()
{
	return 0;
}

int Display(Byte *s)
{
	printf((char *)s);
}

#endif