/*** Compatibility.h ***/

#ifdef THINK_C
#include <setjmp.h>
#include <stdio.h>
#include <unix.h>
#include <fcntl.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <stdarg.h>

#define EOLN '\015'
#define EOLNS "\015"
#define T_EOF 0xFF

#else

#include <setjmp.h>
#include <stdio.h>
#include <fcntl.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <stdarg.h>

#define EOLN '\012'
#define EOLNS "\012"
#define T_EOF '\377'

typedef short Boolean;
typedef char Byte;
#define noErr 0
#endif

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

extern void Sys_Beep(int);
extern int Mem_Error(void);
extern int Display(Byte *);
